using System;
using System.Collections.Generic;
using System.Text;

namespace skyscraper2.TsDuckInterface.Processors
{
    class UntilProcessor : TspProcessor
    {
        public int? Seconds { get; set; }

        public long? Bytes { get; set; }
        

        public override string ToString()
        {
            StringBuilder sb = new StringBuilder();
            sb.Append("until");
            if (Seconds.HasValue)
                sb.AppendFormat(" --seconds {0}", Seconds.Value);
            if (Bytes.HasValue)
                sb.AppendFormat(" --bytes {0}", Bytes.Value);

            return sb.ToString();
        }
    }
}
